Skip to main content

Transaction Energy

transaction-energy

Chart: Transaction Energy

Parameters​

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output​

IndexNameTypeDescription
0datestringDate (ISO)
1low_energy_per_transactionstringLow energy per transaction (kWh)
2medium_energy_per_transactionstringMedium energy per transaction (kWh)
3high_energy_per_transactionstringHigh energy per transaction (kWh)
4closing_pricestringClosing price

Example Request​

https://charts.bitbo.io/api/v1/transaction-energy/?start_date=2025-05-07&end_date=2025-05-09

Example Request with Latest​

https://charts.bitbo.io/api/v1/transaction-energy/?latest=true

Code Samples​

curl "https://charts.bitbo.io/api/v1/transaction-energy/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output​

{
"data": [
[
"2025-05-07",
683421.1643320366,
1227310.507612949,
2391974.0751621276,
"97151.387"
],
[
"2025-05-08",
707738.079137312,
1270979.6337840895,
2477083.276980592,
"103043.546"
],
[
"2025-05-09",
699534.6410593046,
1256247.626235668,
2448371.2437075665,
"102912.250"
]
]
}